Subject: bug#23911: Cat broken pipe segmentation fault when building Guile

From: Andy Wingo <[email-masked]>
Date: Sun, 10 Jul 2016 14:42:30 +0200

Hi,

Thanks for the note.  Can you please include the full config.log, the
full make log, and also a report of your environment variables as given
by "env"?  Thanks :)

Note that there is a prerelease for Guile 2.0.12 which we should be
releasing shortly.  Testing is welcome of this tarball:

  https://hydra.nixos.org/build/37517801/download/4/guile-2.0.11.224-5b7b5.tar.xz

Regards,

Andy

On Thu 07 Jul 2016 18:03, "Stewart, Adam James" <[email-masked]> writes:

> Hello,
>
> I'm trying to install Guile 2.0.11 but I'm running into problems. Make
> crashes with this error message:
>
> cat: write error: Broken pipe
> /bin/sh: line 1: 53341 Done(1) cat alist.doc arbiters.doc
> array-handle.doc array-map.doc arrays.doc async.doc backtrace.doc
> boolean.doc bitvectors.doc bytevectors.doc chars.doc control.doc
> continuations.doc debug.doc deprecated.doc deprecation.doc dynl.doc
> dynwind.doc eq.doc error.doc eval.doc evalext.doc expand.doc
> extensions.doc feature.doc filesys.doc fluids.doc foreign.doc
> fports.doc gc-malloc.doc gc.doc gettext.doc generalized-arrays.doc
> generalized-vectors.doc goops.doc gsubr.doc guardians.doc hash.doc
> hashtab.doc hooks.doc i18n.doc init.doc ioext.doc keywords.doc
> list.doc load.doc macros.doc mallocs.doc memoize.doc modules.doc
> numbers.doc objprop.doc options.doc pairs.doc ports.doc print.doc
> procprop.doc procs.doc promises.doc r6rs-ports.doc random.doc
> rdelim.doc read.doc root.doc rw.doc scmsigs.doc script.doc simpos.doc
> smob.doc sort.doc srcprop.doc srfi-1.doc srfi-4.doc srfi-13.doc
> srfi-14.doc srfi-60.doc stackchk.doc stacks.doc stime.doc strings.doc
> strorder.doc strports.doc struct.doc symbols.doc threads.doc throw.doc
> trees.doc uniform.doc values.doc variable.doc vectors.doc version.doc
> vports.doc weaks.doc dynl.doc posix.doc net_db.doc socket.doc
> regex-posix.doc
> 53342 Segmentation fault (core dumped) | GUILE_INSTALL_LOCALE=1
> GUILE_AUTO_COMPILE=0 ../meta/uninstalled-env guild
> snarf-check-and-output-texi > guile-procedures.texi
> make[3]: *** [guile-procedures.texi] Error 1
> make[3]: Leaving directory
> `/scratch/ajstewart/spack-stage/spack-stage-7gx45p/guile-2.0.11/libguile'
> make[2]: *** [all] Error 2
> make[2]: Leaving directory
> `/scratch/ajstewart/spack-stage/spack-stage-7gx45p/guile-2.0.11/libguile'
> make[1]: *** [all-recursive] Error 1
> make[1]: Leaving directory
> `/scratch/ajstewart/spack-stage/spack-stage-7gx45p/guile-2.0.11'
> make: *** [all] Error 2
>
> Let me know if you would like the rest of my build output or the
> config.log.
>
> Adam J. Stewart 
> Assistant Systems Administrator
> Laboratory Computing Resource Center
> Computing, Environment and Life Sciences
> Argonne National Laboratory